{% extends 'base.html.twig' %}

{% block title %}Portfolio
{% endblock %}

{% block body %}
	<section class="pt-12 pt-md-14 pb-12 pb-md-15" style="margin-top: -47px; background-color: #1e7fcb; ">
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-12 col-md-10 col-lg-7 text-center">
					<h1 class="display-2 fw-bold" style="color: #ffd700;">
						Portfolio
					</h1>
				</div>
			</div>
		</div>
	</section>

	<!--shape-->
	<div class="position-relative">
		<div class="shape shape-bottom shape-fluid-x svg-shim text-light">
			<svg viewbox="0 0 2880 48" fill="none" xmlns="https://www.w3.org/2000/svg">
				<path d="M0 48h2880"></path>
			</svg>
		</div>
	</div>

	<!--content-->
	<section class="py-8 py-md-11 mt-n10 mt-md-n14">
		<div class="container">
			<div class="row" id="portfolio">
				{% for categorie in categories %}
					{% if categorie.peintures %}
						{% set peinture = categorie.peintures|last  %}
						<div class="col-12 col-md-4 ux">
							<a href="{{ path('portfolio_categorie', {'slug': categorie.slug}) }}" class="card shadow-lg mb-7">
								<img src="{{ vich_uploader_asset(peinture, 'imageFile') }}" alt="..." class="card-img-top"/>
								<div class="card-body">
									<h4 class="mb-0">{{ categorie.nom }}</h4>
									<small>{{ categorie.description }}</small>
								</div>
							</a>
						</div>
					{% else %}
						<div>Catégorie vide</div>
					{% endif %}
				{% endfor %}
			</div>
		</div>
	</section>


{% endblock %}
